import request from '@/utils/request'

// 查询计量点参数列表
export function listMeterparams(query) {
  return request({
    url: '/plc/meterparams/list',
    method: 'get',
    params: query
  })
}

// 查询计量点参数详细
export function getMeterparams(id) {
  return request({
    url: '/plc/meterparams/' + id,
    method: 'get'
  })
}

// 新增计量点参数
export function addMeterparams(data) {
  return request({
    url: '/plc/meterparams',
    method: 'post',
    data: data
  })
}

// 修改计量点参数
export function updateMeterparams(data) {
  return request({
    url: '/plc/meterparams',
    method: 'put',
    data: data
  })
}

// 删除计量点参数
export function delMeterparams(id) {
  return request({
    url: '/plc/meterparams/' + id,
    method: 'delete'
  })
}
